summaryrefslogtreecommitdiffstats
path: root/package/base-files/files/bin
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-03-16 03:02:31 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-03-16 03:02:31 +0000
commita1aed6ae611ddd61a0aaebbbc591550113c0ff3b (patch)
tree392f9df044ecb4fd824e3915ec78f39a4e54746b /package/base-files/files/bin
parent11817df895416f11b77a47574d0f85417d0e549c (diff)
Add an 'Image Configuration' menu to menuconfig
Packages can export a list of config options with labels and data types through the metadata. The selected config values will be exported to the target filesystem in /etc/uci-defaults and applied on the first boot. git-svn-id: svn://svn.openwrt.org/openwrt/trunk@6572 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files/bin')
-rwxr-xr-xpackage/base-files/files/bin/uci3
1 files changed, 2 insertions, 1 deletions
diff --git a/package/base-files/files/bin/uci b/package/base-files/files/bin/uci
index f8e08f874..4df8f33ff 100755
--- a/package/base-files/files/bin/uci
+++ b/package/base-files/files/bin/uci
@@ -47,7 +47,7 @@ do_set() {
local VALUE
strtok "$1" PACKAGE . CONFIG = VALUE
- [ $? -ne 3 ] && {
+ [ $? -ne 3 -a $? -ne 2 ] && {
uci_usage set
exit 1
}
@@ -86,6 +86,7 @@ do_remove() {
do_commit() {
local PACKAGE="$1"
for package in ${PACKAGE:-$(cd /tmp/.uci; ls)}; do
+ [ "${package##.*}" != "$package" ] && continue # ignore .lock files
uci_commit "$package"
done
}